<template lang="pug">

  el-popover(
    v-model="profilePopover"
    :trigger="trigger"
    placement="bottom")

    .profile-link(v-if="$store.state.user")
      nuxt-link(to="/user-profile")
        font-awesome-icon(
          :style="iconStyle"
          icon="user")
        span(@click="clickPopoverButton")
          | {{ $store.state.user.email }}

    .profile-link(v-if="!$store.state.user")
      nuxt-link(to="/login")
        font-awesome-icon(
          :style="iconStyle"
          icon="sign-in-alt")
        span(@click="clickPopoverButton") Войти или зарегестрироваться

    .profile-link(v-if="$store.state.user && $store.state.user.role === 'admin'")
      nuxt-link(to="/admin")
        font-awesome-icon(
          :style="iconStyle"
          icon="cog")
        span(@click="clickPopoverButton") Панель управления

    hr(
      v-if="$store.state.user"
      style="margin-bottom:0")

    .profile-link(v-if="$store.state.user")
      el-button.button-exit(
        type='text'
        @click="userExit")
        span Выйти

    el-button(
      type="text"
      slot="reference"
      :style="`${buttonColor}; font-size: 14px`"
      @click="profilePopover = !profilePopover") Личный кабинет

      font-awesome-icon.profile-arrow(
        :icon="!profilePopover ? 'angle-down' : 'angle-up'"
        size="xs")

</template>

<script>
export default {
  name: 'ProfilePanel',
  props: {
    buttonColor: {
      type: String,
      required: false,
      default: ''
    },
    trigger: {
      type: String,
      required: false,
      default: 'hover'
    }
  },
  data() {
    return {
      profilePopover: false,
      iconStyle: { 'margin-top': '8px' }
    };
  },
  methods: {
    userExit() {
      this.profilePopover = !this.profilePopover;
      this.$emit('user-exit');
      this.$emit('popover-click');
    },
    clickPopoverButton() {
      this.$emit('popover-click');
      this.profilePopover = !this.profilePopover;
    }
  }
};
</script>
